%define name	somaplayer
%define version 0.5.3
%define release %mkrel 2
%define major	0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

%define build_plf 0
%{?_with_plf: %global build_plf 1}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Music player for MP3, Ogg, wav, audio CDs, MP3 streams, and Ogg streams
Group:		System/Servers
License:	GPL
URL:		http://www.somasuite.org/somaplayer.php
Source:		http://soma.realityhacking.org/src/%{name}-%{version}.tar.gz
Patch:      somaplayer-fix-format-errors.patch
BuildRequires:	pkgconfig
BuildRequires:	libopenssl-devel
BuildRequires:	confuse-devel
BuildRequires:	libcdda-devel
BuildRequires:	libshout-devel
BuildRequires:	libmad-devel
BuildRequires:	libid3-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libsndfile-devel
BuildRequires:	gtk+2-devel
BuildRequires:	zlib-devel
%if %build_plf
BuildRequires:	liblame-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
somaplayer is music player for MP3, Ogg, wav, audio CDs, MP3 streams, and Ogg
streams. It is able to use the appropriate sound drivers or demons or to stream
directly to an Icecast server (Icecast2 or SHOUTcast) or to encode in MP3 and
Ogg Vorbis. It also acts as a sound daemon that is able to accept connections
from other somaplayers or any other sound player (xmms, mpg123, and others)
thanks to a special wrapper.

%if %build_plf
The PLF build provide additional support mp3, which is covered by software
patents
%endif

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}somaplayer0-devel < 0.5.2-9

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %name-%version
%patch -p1

%build
%configure2_5x --disable-ao
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

%clean 
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*.h



%changelog
* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 0.5.3-2mdv2010.1
+ Revision: 533645
- rebuild

* Sun Mar 28 2010 Funda Wang <fwang@mandriva.org> 0.5.3-1mdv2010.1
+ Revision: 528472
- New version 0.5.3
- disable ao support (does not build)

* Mon Feb 15 2010 Funda Wang <fwang@mandriva.org> 0.5.2-9mdv2010.1
+ Revision: 506407
- new devel package policy
- BR confuse

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 0.5.2-7mdv2009.0
+ Revision: 260898
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0.5.2-6mdv2009.0
+ Revision: 252762
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.5.2-4mdv2008.1
+ Revision: 140829
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import somaplayer


* Tue Sep 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.2-4mdv2007.0
- fix release handling

* Fri Mar 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.2-3mdk
- rebuild against new openssl
- spec cleanup
- new URL

* Wed Oct 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.2-2mdk
- Fix Build

* Mon Feb 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Sat Jan 22 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.5.1-1mdk
- New release 0.5.1

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4.4-1mdk
- New release 0.4.4
- really fix release tag

* Wed Oct 27 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4.3-1mdk 
- New release 0.4.3

* Sun Sep 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4.1-2mdk
- fix PLF build

* Tue Sep 21 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 0.4.1-1mdk
- New release 0.4.1

* Sun Sep  5 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 0.4.0-1mdk
- New release 0.4.0

* Sun Jul 18 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 0.2.2-1mdk
- New release 0.2.2
- patch merged upstream

* Sun Jul  4 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 0.2.1-1mdk
- New release 0.2.1

* Wed May 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1.9-1mdk
- new version
- fix changelog

* Fri May 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1.8-3mdk
- fix plf release

* Mon May 10 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1.8-2mdk
- more buildrequires

* Sun May  9 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 0.1.8-1mdk
- New release 0.1.8

* Wed May 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1.7-1mdk
- first mdk package
